Bug 1901049 - fakechroot-2.20.1-7.fc34 FTBFS on Fedora rawhide
Summary: fakechroot-2.20.1-7.fc34 FTBFS on Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fakechroot
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-11-24 11:00 UTC by Jan Pazdziora
Modified: 2021-02-25 15:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-25 15:00:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2020-11-24 11:00:13 UTC
Description of problem:

Attempt to rebuild fakechroot-2.20.1-7.fc34 on Fedora rawhide seems to fail.

Version-Release number of selected component (if applicable):

fakechroot-2.20.1-7.fc34

How reproducible:

Deterministic.

Steps to Reproduce:
1. git clone https://src.fedoraproject.org/rpms/fakechroot.git
2. cd fakechroot
3. fedpkg build --scratch

Actual results:

https://koji.fedoraproject.org/koji/taskinfo?taskID=56185310

https://kojipkgs.fedoraproject.org//work/tasks/5469/56185469/build.log says

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c ftw64.c  -fPIC -DPIC -o .libs/ftw64.o
make[2]: Leaving directory '/builddir/build/BUILD/fakechroot-2.20.1/src'
ftw.c: In function 'process_entry':
ftw64.c:30:18: warning: implicit declaration of function '__fxstatat64'; did you mean 'fstatat64'? [-Wimplicit-function-declaration]
   30 | #define FXSTATAT __fxstatat64
      |                  ^~~~~~~~~~~~
ftw.c:465:15: note: in expansion of macro 'FXSTATAT'
  465 |     statres = FXSTATAT (_STAT_VER, dir->streamfd, name, &st,
      |               ^~~~~~~~
In file included from ftw64.c:34:
ftw.c:465:25: error: '_STAT_VER' undeclared (first use in this function)
  465 |     statres = FXSTATAT (_STAT_VER, dir->streamfd, name, &st,
      |                         ^~~~~~~~~
ftw.c:465:25: note: each undeclared identifier is reported only once for each function it appears in
ftw64.c:28:16: warning: implicit declaration of function '__lxstat64'; did you mean 'lstat64'? [-Wimplicit-function-declaration]
   28 | #define LXSTAT __lxstat64
      |                ^~~~~~~~~~
ftw.c:473:20: note: in expansion of macro 'LXSTAT'
  473 |                  ? LXSTAT (_STAT_VER, name, &st)
      |                    ^~~~~~
ftw64.c:29:15: warning: implicit declaration of function '__xstat64'; did you mean 'lstat64'? [-Wimplicit-function-declaration]
   29 | #define XSTAT __xstat64
      |               ^~~~~~~~~
ftw.c:474:20: note: in expansion of macro 'XSTAT'
  474 |                  : XSTAT (_STAT_VER, name, &st));
      |                    ^~~~~
In file included from ftw64.c:34:
ftw.c: In function 'ftw_startup':
ftw.c:795:22: error: '_STAT_VER' undeclared (first use in this function)
  795 |            ? LXSTAT (_STAT_VER, name, &st)
      |                      ^~~~~~~~~
make[2]: *** [Makefile:906: ftw64.lo] Error 1
make[2]: Entering directory '/builddir/build/BUILD/fakechroot-2.20.1/src'
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..     -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -c -o getpeername.lo getpeername.c

Expected results:

No error.

Additional info:

Comment 1 Jan Pazdziora 2020-11-24 11:32:43 UTC
It seems fakeroot has very similar problem, bug 1889862.

Comment 2 Fedora Release Engineering 2020-12-06 04:22:43 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-19).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 3 Fedora Release Engineering 2020-12-27 04:22:17 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-19).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Fedora Release Engineering 2021-01-03 04:22:15 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-19).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 5 Jan Pazdziora 2021-01-18 10:17:44 UTC
Hello Mosaab, do you think you would be able to get fakechroot to compile on Fedora 34 or should we prepare for its removal from Fedora and from build dependencies of other packages?

Comment 6 Sergio Basto 2021-01-18 10:58:59 UTC
No , we need to reevaluate this 

last time I checked "It seems fakeroot has very similar problem, bug 1889862. when we

Patch[1] by Jan Pazdziora makes it build, but the tests still fail. Looks like it won't be easy to fix.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/SMQ3RYXEYTVZH6PLQMKNB3NM4XLPMNZO/
"

Comment 7 Fedora Release Engineering 2021-01-24 04:22:16 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-19).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 8 Ben Cotton 2021-02-09 15:28:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 9 Fedora Release Engineering 2021-02-14 04:22:15 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-19).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 10 Fedora Release Engineering 2021-02-14 04:22:16 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-19).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 11 Sergio Basto 2021-02-14 22:45:13 UTC
I will fix it soon , we already have a fix for fakeroot https://salsa.debian.org/clint/fakeroot

I've already taken fakechroot

Comment 12 Ilya Lipnitskiy 2021-02-23 06:20:21 UTC
Pick first 3 commits from https://github.com/dex4er/fakechroot/pull/85 - hope it works for you

Comment 13 Sergio Basto 2021-02-24 11:06:22 UTC
Hi, many thanks , I add the 3 first patches but unfortunately still fails one test [1]


[1]
https://koji.fedoraproject.org/koji/taskinfo?taskID=62633668

FAIL: t/cp.t
============

1..4
ok 1 # SKIP not root
ok 2 # SKIP not root
not ok 3 fakechroot cp -dp /file-fakechroot /file2-fakechroot: cp: cannot stat '/file-fakechroot': No such file or directory cat: /file2-fakechroot: No such file or directory
not ok 4 fakechroot cp -dp /symlink-fakechroot /symlink2-fakechroot: cp: cannot stat '/symlink-fakechroot': No such file or directory cat: /symlink2-fakechroot: No such file or directory
FAIL t/cp.t (exit status: 1)

Comment 14 Ilya Lipnitskiy 2021-02-24 20:10:34 UTC
(In reply to Sergio Basto from comment #13)
> Hi, many thanks , I add the 3 first patches but unfortunately still fails
> one test [1]
> 
> 
> [1]
> https://koji.fedoraproject.org/koji/taskinfo?taskID=62633668
> 
> FAIL: t/cp.t
> ============
> 
> 1..4
> ok 1 # SKIP not root
> ok 2 # SKIP not root
> not ok 3 fakechroot cp -dp /file-fakechroot /file2-fakechroot: cp: cannot
> stat '/file-fakechroot': No such file or directory cat: /file2-fakechroot:
> No such file or directory
> not ok 4 fakechroot cp -dp /symlink-fakechroot /symlink2-fakechroot: cp:
> cannot stat '/symlink-fakechroot': No such file or directory cat:
> /symlink2-fakechroot: No such file or directory
> FAIL t/cp.t (exit status: 1)

Not too familiar with Fedora build system, but which sources did you use for that build so I can reproduce? Or, to double check, you did also pick the existing patch present in Fedora, https://src.fedoraproject.org/rpms/fakechroot/blob/rawhide/f/b42d1fb9538f680af2f31e864c555414ccba842a.patch ?

Comment 15 neok.m4700 2021-02-25 11:37:36 UTC
(In reply to Sergio Basto from comment #13)
> Hi, many thanks , I add the 3 first patches but unfortunately still fails
> one test [1]
> 
> 
> [1]
> https://koji.fedoraproject.org/koji/taskinfo?taskID=62633668
> 
> FAIL: t/cp.t
> ============
> 
> 1..4
> ok 1 # SKIP not root
> ok 2 # SKIP not root
> not ok 3 fakechroot cp -dp /file-fakechroot /file2-fakechroot: cp: cannot
> stat '/file-fakechroot': No such file or directory cat: /file2-fakechroot:
> No such file or directory
> not ok 4 fakechroot cp -dp /symlink-fakechroot /symlink2-fakechroot: cp:
> cannot stat '/symlink-fakechroot': No such file or directory cat:
> /symlink2-fakechroot: No such file or directory
> FAIL t/cp.t (exit status: 1)

Hi,
Should be fixed by https://github.com/dex4er/fakechroot/pull/86.

Comment 16 Sergio Basto 2021-02-25 12:36:52 UTC
(In reply to Ilya Lipnitskiy from comment #14)
> (In reply to Sergio Basto from comment #13)
> > Hi, many thanks , I add the 3 first patches but unfortunately still fails
> > one test [1]
> > 
> > 
> > [1]
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=62633668
> > 
> > FAIL: t/cp.t
> > ============
> > 
> > 1..4
> > ok 1 # SKIP not root
> > ok 2 # SKIP not root
> > not ok 3 fakechroot cp -dp /file-fakechroot /file2-fakechroot: cp: cannot
> > stat '/file-fakechroot': No such file or directory cat: /file2-fakechroot:
> > No such file or directory
> > not ok 4 fakechroot cp -dp /symlink-fakechroot /symlink2-fakechroot: cp:
> > cannot stat '/symlink-fakechroot': No such file or directory cat:
> > /symlink2-fakechroot: No such file or directory
> > FAIL t/cp.t (exit status: 1)
> 
> Not too familiar with Fedora build system, but which sources did you use for
> that build so I can reproduce? Or, to double check, you did also pick the
> existing patch present in Fedora,
> https://src.fedoraproject.org/rpms/fakechroot/blob/rawhide/f/
> b42d1fb9538f680af2f31e864c555414ccba842a.patch ?

Sorry, in link https://koji.fedoraproject.org/koji/taskinfo?taskID=62633668 if you navigate to rebuildSRPM (noarch) , you can download srpm in test https://kojipkgs.fedoraproject.org//work/tasks/3669/62633669/fakechroot-2.20.1-8.fc35.src.rpm , you can open the source rpm in ark (kde archive manager) 

in resume fakechroot-2.20.1.tar.gz with 
Patch1:         https://github.com/dex4er/fakechroot/commit/b42d1fb9538f680af2f31e864c555414ccba842a.patch
Patch2:         https://github.com/dex4er/fakechroot/pull/85/commits/534e6d555736b97211523970d378dfb0db2608e9.patch
Patch3:         https://github.com/dex4er/fakechroot/pull/85/commits/75d7e6fa191c11a791faff06a0de86eaa7801d05.patch
Patch4:         https://github.com/dex4er/fakechroot/pull/85/commits/693a3597ea7fccfb62f357503ff177bd3e3d5a89.patch

Comment 17 Sergio Basto 2021-02-25 12:54:28 UTC
(In reply to neok.m4700 from comment #15)
> Hi,
> Should be fixed by https://github.com/dex4er/fakechroot/pull/86.

yes , it fixed the build , thank you , building new package now

Comment 18 Sergio Basto 2021-02-25 15:00:51 UTC
Built on F35 and F34 
Thank you for your help


Note You need to log in before you can comment on or make changes to this bug.